关于idea安装go插件无法进行debug的坑

anonIsAlreadyTaken · · 2217 次点击 · · 开始浏览    
这是一个创建于 的文章,其中的信息可能已经有所发展或是发生改变。

首先,先随便新建两个go file,建完以后看看debug是不是从灰的变成能点的了,如果不好使再往下瞅瞅         


这一段时间开始学习golang,因为感觉市面上的一些golang编译软件实在是用不习惯所以决定使用强大的idea来安装golang插件进行开发环境的搭建,随便上网找个教程一步一步来的挺顺利,File > settings > plugins > browse repositories 然后找到go插件安装一切顺利,然后设置SDK之类的操作不再多说,当时用的是GO1.4,idea14.1,安装完成以后发现不能debug,怀疑是插件版本问题,又从github上下载下来自己编译,还是不行,最后无意间发现这段话:


然后对比我下载的插件来看:


     发现不是插件版本太旧了。。。是我的idea版本太旧了,更换成idea2016.2.4,完美解决问题,可以debug了。

     但是还有一个问题要注意,就是GO的sdk版本不宜过低,建议1.7,在网上很多GO环境配置教程里用的1.4版本并不能在插件中进行debug。


      该坑给我的启发是:不能出现问题就百度找解决方案,一般对于某类小众问题的话百度上就算可以搜索到也几乎都是一篇博文不断在转载,而且有可能发布时间是很久之前的博文,所以遇到这一类插件问题还是多去github上该软件社区中去寻找答案,虽然看起来有点费劲,但是真的是效率最高的解决问题的办法。



有疑问加站长微信联系(非本文作者)

本文来自:CSDN博客

感谢作者:anonIsAlreadyTaken

查看原文:关于idea安装go插件无法进行debug的坑

入群交流(和以上内容无关):加入Go大咖交流群,或添加微信:liuxiaoyan-s 备注:入群;或加QQ群:701969077

2217 次点击  
加入收藏 微博
添加一条新回复 (您需要 登录 后才能回复 没有账号 ?)
  • 请尽量让自己的回复能够对别人有帮助
  • 支持 Markdown 格式, **粗体**、~~删除线~~、`单行代码`
  • 支持 @ 本站用户;支持表情(输入 : 提示),见 Emoji cheat sheet
  • 图片支持拖拽、截图粘贴等方式上传